changeset 2275:c70f9af7c66a

Added documentation, made the change comment for old versions more useful.
author Eric S. Raymond <esr@snark.thyrsus.com>
date Fri, 19 Mar 1993 23:40:27 +0000
parents 7afd5e41ed30
children 68328c3af38f
files lib-src/rcs-checkin
diffstat 1 files changed, 24 insertions(+), 1 deletions(-) [+]
line wrap: on
line diff
--- a/lib-src/rcs-checkin	Fri Mar 19 23:04:44 1993 +0000
+++ b/lib-src/rcs-checkin	Fri Mar 19 23:40:27 1993 +0000
@@ -1,5 +1,28 @@
 #!/bin/sh
 
+# This script accepts any number of file arguments and checks them into RCS.
+#
+# Arguments which are detectably either RCS masters (with names ending in ,v)
+# or Emacs version files  (with names of the form foo.~<number>~) are ignored.
+# For each file foo, the script looks for Emacs version files related to it.
+# These files are checked in as deltas, oldest first, so that the contents of
+# the file itself becomes the latest revision in the master.
+#
+# The first line of each file is used as its description text.  The file itself
+# is not deleted, as under VC with vc-keep-workfiles at its default of t, but
+# all the version files are.
+#
+# If an argument file is already version-controlled under RCS, any version 
+# files are added to the list of deltas and deleted, and then the workfile
+# is checked in again as the latest version.  This is probably not quite
+# what was wanted, and is the main reason VC doesn't simply call this to
+# do checkins.
+#
+# This script is intended to be used to convert files with an old-Emacs-style
+# version history for use with VC (the Emacs 19 version-control interface),
+# which likes to use RCS as its back end.  It was written by Paul Eggert
+# and revised/documented for use with VC by Eric S. Raymond, Mr 19 1993.
+
 case $# in
 0)
 	echo "rcs-checkin: usage: rcs-checkin file ..."
@@ -63,7 +86,7 @@
 		mv "$oldfile" "$file" || exit
 		ls_l=`ls -l "$file"` || exit
 		owner=-w`expr " $ls_l" : " $ls_owner_pattern"` || owner=
-		ci -d -l -q $owner "$file" </dev/null || exit
+		echo "Formerly ${oldfile}" | ci -d -l -q $owner "$file" || exit
 	done
 
 	# Bring $file back from $file.~-~, and check it in.